Actions:
 --export-3mf        Export the model(s) as 3MF.
 --export-amf        Export the model(s) as AMF.
 --export-gcode, --gcode, -g
                     Slice the model and export toolpaths as G-code.
 --export-obj        Export the model(s) as OBJ.
 --export-sla, --sla Slice the model and export SLA printing layers as PNG.
 --export-stl        Export the model(s) as STL.
 --gcodeviewer       Visualize an already sliced and saved G-code
 --help, -h          Show this help.
 --help-fff          Show the full list of print/G-code configuration options.
 --help-sla          Show the full list of SLA print configuration options.
 --info              Write information about the model to the console.
 --save ABCD         Save configuration to the specified file.
 --slice, -s         Slice the model as FFF or SLA based on the printer_technology configuration
                     value.

Transform options:
 --align-xy X,Y      Align the model to the given point.
 --center X,Y        Center the print around the given center.
 --cut N             Cut model at the given Z.
 --dont-arrange      Do not rearrange the given models before merging and keep their original XY
                     coordinates.
 --duplicate N       Multiply copies by this factor.
 --duplicate-grid X,Y
                     Multiply copies by creating a grid.
 --ensure-on-bed     Lift the object above the bed when it is partially below. Enabled by default,
                     use --no-ensure-on-bed to disable.
 --merge, -m         Arrange the supplied models in a plate and merge them in a single model in order
                     to perform actions once.
 --repair            Try to repair any non-manifold meshes (this option is implicitly added whenever
                     we need to slice the model to perform the requested action).
 --rotate N          Rotation angle around the Z axis in degrees.
 --rotate-x N        Rotation angle around the X axis in degrees.
 --rotate-y N        Rotation angle around the Y axis in degrees.
 --scale N           Scaling factor or percentage.
 --scale-to-fit X,Y,Z
                     Scale to fit the given volume.
 --split             Detect unconnected parts in the given model(s) and split them into separate
                     objects.

Other options:
 --config-compatibility
                     This version of PrusaSlicer may not understand configurations produced by the
                     newest PrusaSlicer versions. For example, newer PrusaSlicer may extend the list
                     of supported firmware flavors. One may decide to bail out or to substitute an
                     unknown value with a default silently or verbosely. (disable, enable,
                     enable_silent; default: enable)
 --datadir ABCD      Load and store settings at the given directory. This is useful for maintaining
                     different profiles or including configurations from a network storage.
 --ignore-nonexistent-config
                     Do not fail if a file supplied to --load does not exist.
 --load ABCD         Load configuration from the specified file. It can be used more than once to
                     load options from multiple files.
 --loglevel N        Sets logging sensitivity. 0:fatal, 1:error, 2:warning, 3:info, 4:debug, 5:trace
                     For example. loglevel=2 logs fatal, error and warning level messages.
 --output ABCD, -o ABCD
                     The file where the output will be written (if not specified, it will be based on
                     the input file).
 --single-instance   If enabled, the command line arguments are sent to an existing instance of GUI
                     PrusaSlicer, or an existing PrusaSlicer window is activated. Overrides the
                     "single_instance" configuration value from application preferences.

Print options are processed in the following order:
        1) Config keys from the command line, for example --fill-pattern=stars
           (highest priority, overwrites everything below)
        2) Config files loaded with --load
        3) Config values loaded from amf or 3mf files

Misc options:
 --avoid-crossing-perimeters
                     Optimize travel moves in order to minimize the crossing of perimeters. This is
                     mostly useful with Bowden extruders which suffer from oozing. This feature slows
                     down both the print and the G-code generation.
 --bed-custom-model ABCD
                     
 --bed-custom-texture ABCD
                     
 --bed-shape         (default: 0x0,200x0,200x200,0x200)
 --bed-temperature N Bed temperature for layers after the first one. Set this to zero to disable bed
                     temperature control commands in the output. (°C, default: 0)
 --before-layer-gcode ABCD
                     This custom code is inserted at every layer change, right before the Z move.
                     Note that you can use placeholder variables for all Slic3r settings as well as
                     [layer_num] and [layer_z].
 --between-objects-gcode ABCD
                     This code is inserted between objects when using sequential printing. By default
                     extruder and bed temperature are reset using non-wait command; however if M104,
                     M109, M140 or M190 are detected in this custom code, Slic3r will not add
                     temperature commands. Note that you can use placeholder variables for all Slic3r
                     settings, so you can put a "M109 S[first_layer_temperature]" command wherever
                     you want.
 --bridge-acceleration N
                     This is the acceleration your printer will use for bridges. Set zero to disable
                     acceleration control for bridges. (mm/s², default: 0)
 --bridge-fan-speed N
                     This fan speed is enforced during all bridges and overhangs. (%, default: 100)
 --clip-multipart-objects
                     When printing multi-material objects, this settings will make Slic3r to clip the
                     overlapping object parts one by the other (2nd part will be clipped by the 1st,
                     3rd part will be clipped by the 1st and 2nd etc).
 --color-change-gcode ABCD
                     This G-code will be used as a code for the color change (default: M600)
 --colorprint-heights N
                     Heights at which a filament change is to occur. (default: )
 --complete-objects  When printing multiple objects or copies, this feature will complete each object
                     before moving onto next one (and starting it from its bottom layer). This
                     feature is useful to avoid the risk of ruined prints. Slic3r should warn and
                     prevent you from extruder collisions, but beware.
 --cooling           This flag enables the automatic cooling logic that adjusts print speed and fan
                     speed according to layer printing time. (default: 1)
 --cooling-tube-length N
                     Length of the cooling tube to limit space for cooling moves inside it. (mm,
                     default: 5)
 --cooling-tube-retraction N
                     Distance of the center-point of the cooling tube from the extruder tip. (mm,
                     default: 91.5)
 --default-acceleration N
                     This is the acceleration your printer will be reset to after the role-specific
                     acceleration values are used (perimeter/infill). Set zero to prevent resetting
                     acceleration at all. (mm/s², default: 0)
 --deretract-speed N The speed for loading of a filament into extruder after retraction (it only
                     applies to the extruder motor). If left to zero, the retraction speed is used.
                     (mm/s, default: 0)
 --disable-fan-first-layers N
                     You can set this to a positive value to disable fan at all during the first
                     layers, so that it does not make adhesion worse. (layers, default: 3)
 --draft-shield      With draft shield active, the skirt will be printed skirt_distance from the
                     object, possibly intersecting brim. Enabled = skirt is as tall as the highest
                     printed object. Limited = skirt is as tall as specified by skirt_height. This is
                     useful to protect an ABS or ASA print from warping and detaching from print bed
                     due to wind draft. (disabled, limited, enabled; default: disabled)
 --duplicate-distance N
                     Distance used for the auto-arrange feature of the plater. (mm, default: 6)
 --end-filament-gcode ABCD
                     This end procedure is inserted at the end of the output file, before the printer
                     end gcode (and before any toolchange from this filament in case of multimaterial
                     printers). Note that you can use placeholder variables for all PrusaSlicer
                     settings. If you have multiple extruders, the gcode is processed in extruder
                     order. (default: "; Filament-specific end gcode \n;END gcode for filament\n")
 --end-gcode ABCD    This end procedure is inserted at the end of the output file. Note that you can
                     use placeholder variables for all PrusaSlicer settings. (default: M104 S0 ; turn
                     off temperature\nG28 X0 ; home X axis\nM84 ; disable motors\n)
 --extra-loading-move N
                     When set to zero, the distance the filament is moved from parking position
                     during load is exactly the same as it was moved back during unload. When
                     positive, it is loaded further, if negative, the loading move is shorter than
                     unloading. (mm, default: -2)
 --extruder-clearance-height N
                     Set this to the vertical distance between your nozzle tip and (usually) the X
                     carriage rods. In other words, this is the height of the clearance cylinder
                     around your extruder, and it represents the maximum depth the extruder can peek
                     before colliding with other printed objects. (mm, default: 20)
 --extruder-clearance-radius N
                     Set this to the clearance radius around your extruder. If the extruder is not
                     centered, choose the largest value for safety. This setting is used to check for
                     collisions and to display the graphical preview in the plater. (mm, default: 20)
 --extruder-colour ABCD
                     This is only used in the Slic3r interface as a visual help. (default: "")
 --extruder-offset   If your firmware doesn't handle the extruder displacement you need the G-code to
                     take it into account. This option lets you specify the displacement of each
                     extruder with respect to the first one. It expects positive coordinates (they
                     will be subtracted from the XY coordinate). (mm, default: 0x0)
 --extrusion-axis ABCD
                     Use this option to set the axis letter associated to your printer's extruder
                     (usually E but some printers use A). (default: E)
 --extrusion-multiplier N
                     This factor changes the amount of flow proportionally. You may need to tweak
                     this setting to get nice surface finish and correct single wall widths. Usual
                     values are between 0.9 and 1.1. If you think you need to change this more, check
                     filament diameter and your firmware E steps. (default: 1)
 --fan-always-on     If this is enabled, fan will never be disabled and will be kept running at least
                     at its minimum speed. Useful for PLA, harmful for ABS. (default: 0)
 --fan-below-layer-time N
                     If layer print time is estimated below this number of seconds, fan will be
                     enabled and its speed will be calculated by interpolating the minimum and
                     maximum speeds. (approximate seconds, default: 60)
 --filament-colour ABCD
                     This is only used in the Slic3r interface as a visual help. (default: #29B2B2)
 --filament-cooling-final-speed N
                     Cooling moves are gradually accelerating towards this speed. (mm/s, default:
                     3.4)
 --filament-cooling-initial-speed N
                     Cooling moves are gradually accelerating beginning at this speed. (mm/s,
                     default: 2.2)
 --filament-cooling-moves N
                     Filament is cooled by being moved back and forth in the cooling tubes. Specify
                     desired number of these moves. (default: 4)
 --filament-cost N   Enter your filament cost per kg here. This is only for statistical information.
                     (money/kg, default: 0)
 --filament-density N
                     Enter your filament density here. This is only for statistical information. A
                     decent way is to weigh a known length of filament and compute the ratio of the
                     length to volume. Better is to calculate the volume directly through
                     displacement. (g/cm³, default: 0)
 --filament-deretract-speed N
                     The speed for loading of a filament into extruder after retraction (it only
                     applies to the extruder motor). If left to zero, the retraction speed is used.
                     (mm/s, default: 0)
 --filament-diameter N
                     Enter your filament diameter here. Good precision is required, so use a caliper
                     and do multiple measurements along the filament, then compute the average. (mm,
                     default: 1.75)
 --filament-load-time N
                     Time for the printer firmware (or the Multi Material Unit 2.0) to load a new
                     filament during a tool change (when executing the T code). This time is added to
                     the total print time by the G-code time estimator. (s, default: 0)
 --filament-loading-speed N
                     Speed used for loading the filament on the wipe tower. (mm/s, default: 28)
 --filament-loading-speed-start N
                     Speed used at the very beginning of loading phase. (mm/s, default: 3)
 --filament-max-volumetric-speed N
                     Maximum volumetric speed allowed for this filament. Limits the maximum
                     volumetric speed of a print to the minimum of print and filament volumetric
                     speed. Set to zero for no limit. (mm³/s, default: 0)
 --filament-minimal-purge-on-wipe-tower N
                     After a tool change, the exact position of the newly loaded filament inside the
                     nozzle may not be known, and the filament pressure is likely not yet stable.
                     Before purging the print head into an infill or a sacrificial object, Slic3r
                     will always prime this amount of material into the wipe tower to produce
                     successive infill or sacrificial object extrusions reliably. (mm³, default: 15)
 --filament-notes ABCD
                     You can put your notes regarding the filament here. (default: "")
 --filament-ramming-parameters ABCD
                     This string is edited by RammingDialog and contains ramming specific parameters.
                     (default: "120 100 6.6 6.8 7.2 7.6 7.9 8.2 8.7 9.4 9.9 10.0| 0.05 6.6 0.45 6.8
                     0.95 7.8 1.45 8.3 1.95 9.7 2.45 10 2.95 7.6 3.45 7.6 3.95 7.6 4.45 7.6 4.95
                     7.6")
 --filament-retract-before-travel N
                     Retraction is not triggered when travel moves are shorter than this length. (mm,
                     default: 2)
 --filament-retract-before-wipe
                     With bowden extruders, it may be wise to do some amount of quick retract before
                     doing the wipe movement. (%, default: 0%)
 --filament-retract-layer-change
                     This flag enforces a retraction whenever a Z move is done. (default: 0)
 --filament-retract-length N
                     When retraction is triggered, filament is pulled back by the specified amount
                     (the length is measured on raw filament, before it enters the extruder). (mm
                     (zero to disable), default: 2)
 --filament-retract-lift N
                     If you set this to a positive value, Z is quickly raised every time a retraction
                     is triggered. When using multiple extruders, only the setting for the first
                     extruder will be considered. (mm, default: 0)
 --filament-retract-lift-above N
                     If you set this to a positive value, Z lift will only take place above the
                     specified absolute Z. You can tune this setting for skipping lift on the first
                     layers. (mm, default: 0)
 --filament-retract-lift-below N
                     If you set this to a positive value, Z lift will only take place below the
                     specified absolute Z. You can tune this setting for limiting lift to the first
                     layers. (mm, default: 0)
 --filament-retract-restart-extra N
                     When the retraction is compensated after the travel move, the extruder will push
                     this additional amount of filament. This setting is rarely needed. (mm, default:
                     0)
 --filament-retract-speed N
                     The speed for retractions (it only applies to the extruder motor). (mm/s,
                     default: 40)
 --filament-soluble  Soluble material is most likely used for a soluble support. (default: 0)
 --filament-spool-weight N
                     Enter weight of the empty filament spool. One may weigh a partially consumed
                     filament spool before printing and one may compare the measured weight with the
                     calculated weight of the filament with the spool to find out whether the amount
                     of filament on the spool is sufficient to finish the print. (g, default: 0)
 --filament-toolchange-delay N
                     Time to wait after the filament is unloaded. May help to get reliable
                     toolchanges with flexible materials that may need more time to shrink to
                     original dimensions. (s, default: 0)
 --filament-type ABCD
                     The filament material type for use in custom G-codes. (PLA, PET, ABS, ASA, FLEX,
                     HIPS, EDGE, NGEN, PA, NYLON, PVA, PC, PP, PEI, PEEK, PEKK, POM, PSU, PVDF,
                     SCAFF; default: PLA)
 --filament-unload-time N
                     Time for the printer firmware (or the Multi Material Unit 2.0) to unload a
                     filament during a tool change (when executing the T code). This time is added to
                     the total print time by the G-code time estimator. (s, default: 0)
 --filament-unloading-speed N
                     Speed used for unloading the filament on the wipe tower (does not affect initial
                     part of unloading just after ramming). (mm/s, default: 90)
 --filament-unloading-speed-start N
                     Speed used for unloading the tip of the filament immediately after ramming.
                     (mm/s, default: 100)
 --filament-wipe     This flag will move the nozzle while retracting to minimize the possible blob on
                     leaky extruders. (default: 0)
 --first-layer-acceleration N
                     This is the acceleration your printer will use for first layer. Set zero to
                     disable acceleration control for first layer. (mm/s², default: 0)
 --first-layer-acceleration-over-raft N
                     This is the acceleration your printer will use for first layer of object above
                     raft interface. Set zero to disable acceleration control for first layer of
                     object above raft interface. (mm/s², default: 0)
 --first-layer-bed-temperature N
                     Heated build plate temperature for the first layer. Set this to zero to disable
                     bed temperature control commands in the output. (°C, default: 0)
 --first-layer-speed N
                     If expressed as absolute value in mm/s, this speed will be applied to all the
                     print moves of the first layer, regardless of their type. If expressed as a
                     percentage (for example: 40%) it will scale the default speeds. (mm/s or %,
                     default: 30)
 --first-layer-speed-over-raft N
                     If expressed as absolute value in mm/s, this speed will be applied to all the
                     print moves of the first object layer above raft interface, regardless of their
                     type. If expressed as a percentage (for example: 40%) it will scale the default
                     speeds. (mm/s or %, default: 30)
 --first-layer-temperature N
                     Nozzle temperature for the first layer. If you want to control temperature
                     manually during print, set this to zero to disable temperature control commands
                     in the output G-code. (°C, default: 200)
 --full-fan-speed-layer N
                     Fan speed will be ramped up linearly from zero at layer
                     "disable_fan_first_layers" to maximum at layer "full_fan_speed_layer".
                     "full_fan_speed_layer" will be ignored if lower than "disable_fan_first_layers",
                     in which case the fan will be running at maximum allowed speed at layer
                     "disable_fan_first_layers" + 1. (default: 0)
 --gcode-comments    Enable this to get a commented G-code file, with each line explained by a
                     descriptive text. If you print from SD card, the additional weight of the file
                     could make your firmware slow down.
 --gcode-flavor      Some G/M-code commands, including temperature control and others, are not
                     universal. Set this option to your printer's firmware to get a compatible
                     output. The "No extrusion" flavor prevents PrusaSlicer from exporting any
                     extrusion value at all. (reprap, reprapfirmware, repetier, teacup, makerware,
                     marlin, marlin2, sailfish, mach3, machinekit, smoothie, no-extrusion; default:
                     reprap)
 --gcode-label-objects
                     Enable this to add comments into the G-Code labeling print moves with what
                     object they belong to, which is useful for the Octoprint CancelObject plugin.
                     This settings is NOT compatible with Single Extruder Multi Material setup and
                     Wipe into Object / Wipe into Infill.
 --gcode-resolution N
                     Maximum deviation of exported G-code paths from their full resolution
                     counterparts. Very high resolution G-code requires huge amount of RAM to slice
                     and preview, also a 3D printer may stutter not being able to process a high
                     resolution G-code in a timely manner. On the other hand, a low resolution G-code
                     will produce a low poly effect and because the G-code reduction is performed at
                     each layer independently, visible artifacts may be produced. (mm, default:
                     0.0125)
 --gcode-substitutions ABCD
                     Find / replace patterns in G-code lines and substitute them. (default: )
 --high-current-on-filament-swap
                     It may be beneficial to increase the extruder motor current during the filament
                     exchange sequence to allow for rapid ramming feed rates and to overcome
                     resistance when loading a filament with an ugly shaped tip.
 --infill-acceleration N
                     This is the acceleration your printer will use for infill. Set zero to disable
                     acceleration control for infill. (mm/s², default: 0)
 --infill-first      This option will switch the print order of perimeters and infill, making the
                     latter first.
 --after-layer-gcode ABCD, --layer-gcode ABCD
                     This custom code is inserted at every layer change, right after the Z move and
                     before the extruder moves to the first layer point. Note that you can use
                     placeholder variables for all Slic3r settings as well as [layer_num] and
                     [layer_z].
 --max-fan-speed N   This setting represents the maximum speed of your fan. (%, default: 100)
 --max-layer-height N
                     This is the highest printable layer height for this extruder, used to cap the
                     variable layer height and support layer height. Maximum recommended layer height
                     is 75% of the extrusion width to achieve reasonable inter-layer adhesion. If set
                     to 0, layer height is limited to 75% of the nozzle diameter. (mm, default: 0)
 --max-print-height N
                     Set this to the maximum height that can be reached by your extruder while
                     printing. (mm, default: 200)
 --max-print-speed N When setting other speed settings to 0 Slic3r will autocalculate the optimal
                     speed in order to keep constant extruder pressure. This experimental setting is
                     used to set the highest print speed you want to allow. (mm/s, default: 80)
 --max-volumetric-extrusion-rate-slope-negative N
                     This experimental setting is used to limit the speed of change in extrusion rate
                     for a transition from higher speed to lower speed. A value of 1.8 mm³/s²
                     ensures, that a change from the extrusion rate of 5.4 mm³/s (0.45 mm extrusion
                     width, 0.2 mm extrusion height, feedrate 60 mm/s) to 1.8 mm³/s (feedrate 20
                     mm/s) will take at least 2 seconds. (mm³/s², default: 0)
 --max-volumetric-extrusion-rate-slope-positive N
                     This experimental setting is used to limit the speed of change in extrusion rate
                     for a transition from lower speed to higher speed. A value of 1.8 mm³/s²
                     ensures, that a change from the extrusion rate of 1.8 mm³/s (0.45 mm extrusion
                     width, 0.2 mm extrusion height, feedrate 20 mm/s) to 5.4 mm³/s (feedrate 60
                     mm/s) will take at least 2 seconds. (mm³/s², default: 0)
 --max-volumetric-speed N
                     This experimental setting is used to set the maximum volumetric speed your
                     extruder supports. (mm³/s, default: 0)
 --min-fan-speed N   This setting represents the minimum PWM your fan needs to work. (%, default: 35)
 --min-layer-height N
                     This is the lowest printable layer height for this extruder and limits the
                     resolution for variable layer height. Typical values are between 0.05 mm and 0.1
                     mm. (mm, default: 0.07)
 --min-print-speed N Slic3r will not scale speed down below this speed. (mm/s, default: 10)
 --min-skirt-length N
                     Generate no less than the number of skirt loops required to consume the
                     specified amount of filament on the bottom layer. For multi-extruder machines,
                     this minimum applies to each extruder. (mm, default: 0)
 --notes ABCD        You can put here your personal notes. This text will be added to the G-code
                     header comments.
 --nozzle-diameter N This is the diameter of your extruder nozzle (for example: 0.5, 0.35 etc.) (mm,
                     default: 0.4)
 --only-retract-when-crossing-perimeters
                     Disables retraction when the travel path does not exceed the upper layer's
                     perimeters (and thus any ooze will be probably invisible).
 --ooze-prevention   This option will drop the temperature of the inactive extruders to prevent
                     oozing. It will enable a tall skirt automatically and move extruders outside
                     such skirt when changing temperatures.
 --output-filename-format ABCD
                     You can use all configuration options as variables inside this template. For
                     example: [layer_height], [fill_density] etc. You can also use [timestamp],
                     [year], [month], [day], [hour], [minute], [second], [version], [input_filename],
                     [input_filename_base]. (default: [input_filename_base].gcode)
 --parking-pos-retraction N
                     Distance of the extruder tip from the position where the filament is parked when
                     unloaded. This should match the value in printer firmware. (mm, default: 92)
 --pause-print-gcode ABCD
                     This G-code will be used as a code for the pause print (default: M601)
 --perimeter-acceleration N
                     This is the acceleration your printer will use for perimeters. Set zero to
                     disable acceleration control for perimeters. (mm/s², default: 0)
 --post-process ABCD If you want to process the output G-code through custom scripts, just list their
                     absolute paths here. Separate multiple scripts with a semicolon. Scripts will be
                     passed the absolute path to the G-code file as the first argument, and they can
                     access the Slic3r config settings by reading environment variables. (default: )
 --preset-name ABCD  
 --preset-names ABCD Names of presets related to the physical printer (default: )
 --printer-notes ABCD
                     You can put your notes regarding the printer here.
 --printer-technology
                     Printer technology (FFF, SLA; default: FFF)
 --remaining-times   Emit M73 P[percent printed] R[remaining time in minutes] at 1 minute intervals
                     into the G-code to let the firmware show accurate remaining time. As of now only
                     the Prusa i3 MK3 firmware recognizes M73. Also the i3 MK3 firmware supports M73
                     Qxx Sxx for the silent mode.
 --resolution N      Minimum detail resolution, used to simplify the input file for speeding up the
                     slicing job and reducing memory usage. High-resolution models often carry more
                     detail than printers can render. Set to zero to disable any simplification and
                     use full resolution from input. (mm, default: 0)
 --retract-before-travel N
                     Retraction is not triggered when travel moves are shorter than this length. (mm,
                     default: 2)
 --retract-before-wipe
                     With bowden extruders, it may be wise to do some amount of quick retract before
                     doing the wipe movement. (%, default: 0%)
 --retract-layer-change
                     This flag enforces a retraction whenever a Z move is done. (default: 0)
 --retract-length N  When retraction is triggered, filament is pulled back by the specified amount
                     (the length is measured on raw filament, before it enters the extruder). (mm
                     (zero to disable), default: 2)
 --retract-length-toolchange N
                     When retraction is triggered before changing tool, filament is pulled back by
                     the specified amount (the length is measured on raw filament, before it enters
                     the extruder). (mm (zero to disable), default: 10)
 --retract-lift N    If you set this to a positive value, Z is quickly raised every time a retraction
                     is triggered. When using multiple extruders, only the setting for the first
                     extruder will be considered. (mm, default: 0)
 --retract-lift-above N
                     If you set this to a positive value, Z lift will only take place above the
                     specified absolute Z. You can tune this setting for skipping lift on the first
                     layers. (mm, default: 0)
 --retract-lift-below N
                     If you set this to a positive value, Z lift will only take place below the
                     specified absolute Z. You can tune this setting for limiting lift to the first
                     layers. (mm, default: 0)
 --retract-restart-extra N
                     When the retraction is compensated after the travel move, the extruder will push
                     this additional amount of filament. This setting is rarely needed. (mm, default:
                     0)
 --retract-restart-extra-toolchange N
                     When the retraction is compensated after changing tool, the extruder will push
                     this additional amount of filament. (mm, default: 0)
 --retract-speed N   The speed for retractions (it only applies to the extruder motor). (mm/s,
                     default: 40)
 --silent-mode       The firmware supports stealth mode
 --single-extruder-multi-material
                     The printer multiplexes filaments into a single hot end.
 --single-extruder-multi-material-priming
                     If enabled, all printing extruders will be primed at the front edge of the print
                     bed at the start of the print.
 --skirt-distance N  Distance between skirt and brim (when draft shield is not used) or objects. (mm,
                     default: 6)
 --skirt-height N    Height of skirt expressed in layers. (layers, default: 1)
 --skirts N          Number of loops for the skirt. If the Minimum Extrusion Length option is set,
                     the number of loops might be greater than the one configured here. Set this to
                     zero to disable skirt completely. (default: 1)
 --slowdown-below-layer-time N
                     If layer print time is estimated below this number of seconds, print moves speed
                     will be scaled down to extend duration to this value. (approximate seconds,
                     default: 5)
 --solid-layers N    Number of solid layers to generate on top and bottom surfaces.
 --solid-min-thickness N
                     Minimum thickness of a top / bottom shell
 --spiral-vase       This feature will raise Z gradually while printing a single-walled object in
                     order to remove any visible seam. This option requires a single perimeter, no
                     infill, no top solid layers and no support material. You can still set any
                     number of bottom solid layers as well as skirt/brim loops. It won't work when
                     printing more than one single object.
 --standby-temperature-delta N
                     Temperature difference to be applied when an extruder is not active. Enables a
                     full-height "sacrificial" skirt on which the nozzles are periodically wiped.
                     (∆°C, default: -5)
 --start-filament-gcode ABCD
                     This start procedure is inserted at the beginning, after any printer start gcode
                     (and after any toolchange to this filament in case of multi-material printers).
                     This is used to override settings for a specific filament. If PrusaSlicer
                     detects M104, M109, M140 or M190 in your custom codes, such commands will not be
                     prepended automatically so you're free to customize the order of heating
                     commands and other custom actions. Note that you can use placeholder variables
                     for all PrusaSlicer settings, so you can put a "M109 S[first_layer_temperature]"
                     command wherever you want. If you have multiple extruders, the gcode is
                     processed in extruder order. (default: "; Filament gcode\n")
 --start-gcode ABCD  This start procedure is inserted at the beginning, after bed has reached the
                     target temperature and extruder just started heating, and before extruder has
                     finished heating. If PrusaSlicer detects M104 or M190 in your custom codes, such
                     commands will not be prepended automatically so you're free to customize the
                     order of heating commands and other custom actions. Note that you can use
                     placeholder variables for all PrusaSlicer settings, so you can put a "M109
                     S[first_layer_temperature]" command wherever you want. (default: G28 ; home all
                     axes\nG1 Z5 F5000 ; lift nozzle\n)
 --temperature N     Nozzle temperature for layers after the first one. Set this to zero to disable
                     temperature control commands in the output G-code. (°C, default: 200)
 --template-custom-gcode ABCD
                     This G-code will be used as a custom code
 --thumbnails        Picture sizes to be stored into a .gcode and .sl1 / .sl1s files, in the
                     following format: "XxY, XxY, ..." (default: )
 --thumbnails-format Format of G-code thumbnails: PNG for best quality, JPG for smallest size, QOI
                     for low memory firmware (PNG, JPG, QOI; default: PNG)
 --toolchange-gcode ABCD
                     This custom code is inserted before every toolchange. Placeholder variables for
                     all PrusaSlicer settings as well as {toolchange_z}, {previous_extruder} and
                     {next_extruder} can be used. When a tool-changing command which changes to the
                     correct extruder is included (such as T{next_extruder}), PrusaSlicer will emit
                     no other such command. It is therefore possible to script custom behaviour both
                     before and after the toolchange.
 --travel-speed N    Speed for travel moves (jumps between distant extrusion points). (mm/s, default:
                     130)
 --travel-speed-z N  Speed for movements along the Z axis. When set to zero, the value is ignored and
                     regular travel speed is used instead. (mm/s, default: 0)
 --use-firmware-retraction
                     This experimental setting uses G10 and G11 commands to have the firmware handle
                     the retraction. This is only supported in recent Marlin.
 --use-relative-e-distances
                     If your firmware requires relative E values, check this, otherwise leave it
                     unchecked. Most firmwares use absolute values.
 --use-volumetric-e  This experimental setting uses outputs the E values in cubic millimeters instead
                     of linear millimeters. If your firmware doesn't already know filament
                     diameter(s), you can put commands like 'M200 D[filament_diameter_0] T0' in your
                     start G-code in order to turn volumetric mode on and use the filament diameter
                     associated to the filament selected in Slic3r. This is only supported in recent
                     Marlin.
 --variable-layer-height
                     Some printers or printer setups may have difficulties printing with a variable
                     layer height. Enabled by default.
 --wipe              This flag will move the nozzle while retracting to minimize the possible blob on
                     leaky extruders. (default: 0)
 --wipe-tower        Multi material printers may need to prime or purge extruders on tool changes.
                     Extrude the excess material into the wipe tower.
 --wipe-tower-bridging N
                     Maximal distance between supports on sparse infill sections. (mm, default: 10)
 --wipe-tower-brim-width N
                     Wipe tower brim width (mm, default: 2)
 --wipe-tower-no-sparse-layers
                     If enabled, the wipe tower will not be printed on layers with no toolchanges. On
                     layers with a toolchange, extruder will travel downward to print the wipe tower.
                     User is responsible for ensuring there is no collision with the print.
 --wipe-tower-rotation-angle N
                     Wipe tower rotation angle with respect to x-axis. (°, default: 0)
 --wipe-tower-width N
                     Width of a wipe tower (mm, default: 60)
 --wipe-tower-x N    X coordinate of the left front corner of a wipe tower (mm, default: 180)
 --wipe-tower-y N    Y coordinate of the left front corner of a wipe tower (mm, default: 140)
 --wiping-volumes-extruders N
                     This vector saves required volumes to change from/to each tool used on the wipe
                     tower. These values are used to simplify creation of the full purging volumes
                     below. (default: 70,70,70,70,70,70,70,70,70,70)
 --wiping-volumes-matrix N
                     This matrix describes volumes (in cubic milimetres) required to purge the new
                     filament on the wipe tower for any given pair of tools. (default:
                     0,140,140,140,140,140,0,140,140,140,140,140,0,140,140,140,140,140,0,140,140,140,140,140,0)
 --z-offset N        This value will be added (or subtracted) from all the Z coordinates in the
                     output G-code. It is used to compensate for bad Z endstop position: for example,
                     if your endstop zero actually leaves the nozzle 0.3mm far from the print bed,
                     set this to -0.3 (or fix your endstop). (mm, default: 0)
Advanced:
 --bridge-flow-ratio N
                     This factor affects the amount of plastic for bridging. You can decrease it
                     slightly to pull the extrudates and prevent sagging, although default settings
                     are usually good and you should experiment with cooling (use a fan) before
                     tweaking this. (default: 1)
 --elefant-foot-compensation N
                     The first layer will be shrunk in the XY plane by the configured value to
                     compensate for the 1st layer squish aka an Elephant Foot effect. (mm, default:
                     0)
 --infill-anchor N   Connect an infill line to an internal perimeter with a short segment of an
                     additional perimeter. If expressed as percentage (example: 15%) it is calculated
                     over infill extrusion width. PrusaSlicer tries to connect two close infill lines
                     to a short perimeter segment. If no such perimeter segment shorter than
                     infill_anchor_max is found, the infill line is connected to a perimeter segment
                     at just one side and the length of the perimeter segment taken is limited to
                     this parameter, but no longer than anchor_length_max. Set this parameter to zero
                     to disable anchoring perimeters connected to a single infill line. (mm or %,
                     default: 600%)
 --infill-anchor-max N
                     Connect an infill line to an internal perimeter with a short segment of an
                     additional perimeter. If expressed as percentage (example: 15%) it is calculated
                     over infill extrusion width. PrusaSlicer tries to connect two close infill lines
                     to a short perimeter segment. If no such perimeter segment shorter than this
                     parameter is found, the infill line is connected to a perimeter segment at just
                     one side and the length of the perimeter segment taken is limited to
                     infill_anchor, but no longer than this parameter. Set this parameter to zero to
                     disable anchoring. (mm or %, default: 50)
 --infill-overlap N  This setting applies an additional overlap between infill and perimeters for
                     better bonding. Theoretically this shouldn't be needed, but backlash might cause
                     gaps. If expressed as percentage (example: 15%) it is calculated over perimeter
                     extrusion width. (mm or %, default: 25%)
 --min-bead-width N  Width of the perimeter that will replace thin features (according to the Minimum
                     feature size) of the model. If the Minimum perimeter width is thinner than the
                     thickness of the feature, the perimeter will become as thick as the feature
                     itself. If expressed as a percentage (for example 85%), it will be computed
                     based on the nozzle diameter. (mm or %, default: 85%)
 --min-feature-size N
                     Minimum thickness of thin features. Model features that are thinner than this
                     value will not be printed, while features thicker than the Minimum feature size
                     will be widened to the Minimum perimeter width. If expressed as a percentage
                     (for example 25%), it will be computed based on the nozzle diameter. (mm or %,
                     default: 25%)
 --mmu-segmented-region-max-width N
                     Maximum width of a segmented region. Zero disables this feature. (mm (zero to
                     disable), default: 0)
 --slice-closing-radius N
                     Cracks smaller than 2x gap closing radius are being filled during the triangle
                     mesh slicing. The gap closing operation may reduce the final print resolution,
                     therefore it is advisable to keep the value reasonably low. (mm, default: 0.049)
 --slicing-mode      Use "Even-odd" for 3DLabPrint airplane models. Use "Close holes" to close all
                     holes in the model. (regular, even_odd, close_holes; default: regular)
 --wall-distribution-count N
                     The number of perimeters, counted from the center, over which the variation
                     needs to be spread. Lower values mean that the outer perimeters don't change in
                     width. (default: 1)
 --wall-transition-angle N
                     When to create transitions between even and odd numbers of perimeters. A wedge
                     shape with an angle greater than this setting will not have transitions and no
                     perimeters will be printed in the center to fill the remaining space. Reducing
                     this setting reduces the number and length of these center perimeters, but may
                     leave gaps or overextrude. (°, default: 10)
 --wall-transition-filter-deviation N
                     Prevent transitioning back and forth between one extra perimeter and one less.
                     This margin extends the range of extrusion widths which follow to [Minimum
                     perimeter width - margin, 2 * Minimum perimeter width + margin]. Increasing this
                     margin reduces the number of transitions, which reduces the number of extrusion
                     starts/stops and travel time. However, large extrusion width variation can lead
                     to under- or overextrusion problems. If expressed as a percentage (for example
                     25%), it will be computed based on the nozzle diameter. (mm or %, default: 25%)
 --wall-transition-length N
                     When transitioning between different numbers of perimeters as the part becomes
                     thinner, a certain amount of space is allotted to split or join the perimeter
                     segments. If expressed as a percentage (for example 100%), it will be computed
                     based on the nozzle diameter. (mm or %, default: 100%)
 --xy-size-compensation N
                     The object will be grown/shrunk in the XY plane by the configured value
                     (negative = inwards, positive = outwards). This might be useful for fine-tuning
                     hole sizes. (mm, default: 0)
Extruders:
 --extruder N        The extruder to use (unless more specific extruder settings are specified). This
                     value overrides perimeter and infill extruders, but not the support extruders.
 --infill-extruder N The extruder to use when printing infill. (default: 1)
 --perimeter-extruder N
                     The extruder to use when printing perimeters and brim. First extruder is 1.
                     (default: 1)
 --solid-infill-extruder N
                     The extruder to use when printing solid infill. (default: 1)
 --support-material-extruder N
                     The extruder to use when printing support material, raft and skirt (1+, 0 to use
                     the current extruder to minimize tool changes). (default: 1)
 --support-material-interface-extruder N
                     The extruder to use when printing support material interface (1+, 0 to use the
                     current extruder to minimize tool changes). This affects raft too. (default: 1)
Extrusion Width:
 --external-perimeter-extrusion-width N
                     Set this to a non-zero value to set a manual extrusion width for external
                     perimeters. If left zero, default extrusion width will be used if set, otherwise
                     1.125 x nozzle diameter will be used. If expressed as percentage (for example
                     200%), it will be computed over layer height. (mm or %, default: 0)
 --extrusion-width N Set this to a non-zero value to allow a manual extrusion width. If left to zero,
                     Slic3r derives extrusion widths from the nozzle diameter (see the tooltips for
                     perimeter extrusion width, infill extrusion width etc). If expressed as
                     percentage (for example: 230%), it will be computed over layer height. (mm or %,
                     default: 0)
 --first-layer-extrusion-width N
                     Set this to a non-zero value to set a manual extrusion width for first layer.
                     You can use this to force fatter extrudates for better adhesion. If expressed as
                     percentage (for example 120%) it will be computed over first layer height. If
                     set to zero, it will use the default extrusion width. (mm or %, default: 200%)
 --infill-extrusion-width N
                     Set this to a non-zero value to set a manual extrusion width for infill. If left
                     zero, default extrusion width will be used if set, otherwise 1.125 x nozzle
                     diameter will be used. You may want to use fatter extrudates to speed up the
                     infill and make your parts stronger. If expressed as percentage (for example
                     90%) it will be computed over layer height. (mm or %, default: 0)
 --perimeter-extrusion-width N
                     Set this to a non-zero value to set a manual extrusion width for perimeters. You
                     may want to use thinner extrudates to get more accurate surfaces. If left zero,
                     default extrusion width will be used if set, otherwise 1.125 x nozzle diameter
                     will be used. If expressed as percentage (for example 200%) it will be computed
                     over layer height. (mm or %, default: 0)
 --solid-infill-extrusion-width N
                     Set this to a non-zero value to set a manual extrusion width for infill for
                     solid surfaces. If left zero, default extrusion width will be used if set,
                     otherwise 1.125 x nozzle diameter will be used. If expressed as percentage (for
                     example 90%) it will be computed over layer height. (mm or %, default: 0)
 --support-material-extrusion-width N
                     Set this to a non-zero value to set a manual extrusion width for support
                     material. If left zero, default extrusion width will be used if set, otherwise
                     nozzle diameter will be used. If expressed as percentage (for example 90%) it
                     will be computed over layer height. (mm or %, default: 0)
 --top-infill-extrusion-width N
                     Set this to a non-zero value to set a manual extrusion width for infill for top
                     surfaces. You may want to use thinner extrudates to fill all narrow regions and
                     get a smoother finish. If left zero, default extrusion width will be used if
                     set, otherwise nozzle diameter will be used. If expressed as percentage (for
                     example 90%) it will be computed over layer height. (mm or %, default: 0)
Fuzzy Skin:
 --fuzzy-skin        Fuzzy skin type. (none, external, all; default: none)
 --fuzzy-skin-point-dist N
                     Perimeters will be split into multiple segments by inserting Fuzzy skin points.
                     Lowering the Fuzzy skin point distance will increase the number of randomly
                     offset points on the perimeter wall. (mm, default: 0.8)
 --fuzzy-skin-thickness N
                     The maximum distance that each skin point can be offset (both ways), measured
                     perpendicular to the perimeter wall. (mm, default: 0.3)
Infill:
 --bottom-fill-pattern, --external-fill-pattern, --solid-fill-pattern
                     Fill pattern for bottom infill. This only affects the bottom external visible
                     layer, and not its adjacent solid shells. (rectilinear, monotonic,
                     alignedrectilinear, concentric, hilbertcurve, archimedeanchords, octagramspiral;
                     default: monotonic)
 --bridge-angle N    Bridging angle override. If left to zero, the bridging angle will be calculated
                     automatically. Otherwise the provided angle will be used for all bridges. Use
                     180° for zero angle. (°, default: 0)
 --fill-angle N      Default base angle for infill orientation. Cross-hatching will be applied to
                     this. Bridges will be infilled using the best direction Slic3r can detect, so
                     this setting does not affect them. (°, default: 45)
 --fill-density      Density of internal infill, expressed in the range 0% - 100%. (%, default: 20%)
 --fill-pattern      Fill pattern for general low-density infill. (rectilinear, alignedrectilinear,
                     grid, triangles, stars, cubic, line, concentric, honeycomb, 3dhoneycomb, gyroid,
                     hilbertcurve, archimedeanchords, octagramspiral, adaptivecubic, supportcubic,
                     lightning; default: stars)
 --infill-every-layers N
                     This feature allows to combine infill and speed up your print by extruding
                     thicker infill layers while preserving thin perimeters, thus accuracy. (layers,
                     default: 1)
 --infill-only-where-needed
                     This option will limit infill to the areas actually needed for supporting
                     ceilings (it will act as internal support material). If enabled, slows down the
                     G-code generation due to the multiple checks involved.
 --solid-infill-below-area N
                     Force solid infill for regions having a smaller area than the specified
                     threshold. (mm², default: 70)
 --solid-infill-every-layers N
                     This feature allows to force a solid layer every given number of layers. Zero to
                     disable. You can set this to any value (for example 9999); Slic3r will
                     automatically choose the maximum possible number of layers to combine according
                     to nozzle diameter and layer height. (layers, default: 0)
 --top-fill-pattern, --external-fill-pattern, --solid-fill-pattern
                     Fill pattern for top infill. This only affects the top visible layer, and not
                     its adjacent solid shells. (rectilinear, monotonic, alignedrectilinear,
                     concentric, hilbertcurve, archimedeanchords, octagramspiral; default: monotonic)
Ironing:
 --ironing           Enable ironing of the top layers with the hot print head for smooth surface
 --ironing-flowrate  Percent of a flow rate relative to object's normal layer height. (%, default:
                     15%)
 --ironing-spacing N Distance between ironing lines (mm, default: 0.1)
 --ironing-type      Ironing Type (top, topmost, solid; default: top)
Layers and Perimeters:
 --avoid-crossing-perimeters-max-detour N
                     The maximum detour length for avoid crossing perimeters. If the detour is longer
                     than this value, avoid crossing perimeters is not applied for this travel path.
                     Detour length could be specified either as an absolute value or as percentage
                     (for example 50%) of a direct travel path. (mm or % (zero to disable), default:
                     0)
 --bottom-solid-layers N
                     Number of solid layers to generate on bottom surfaces. (default: 3)
 --bottom-solid-min-thickness N
                     The number of bottom solid layers is increased above bottom_solid_layers if
                     necessary to satisfy minimum thickness of bottom shell. (mm, default: 0)
 --ensure-vertical-shell-thickness
                     Add solid infill near sloping surfaces to guarantee the vertical shell thickness
                     (top+bottom solid layers).
 --external-perimeters-first
                     Print contour perimeters from the outermost one to the innermost one instead of
                     the default inverse order.
 --extra-perimeters  Add more perimeters when needed for avoiding gaps in sloping walls. Slic3r keeps
                     adding perimeters, until more than 70% of the loop immediately above is
                     supported.
 --first-layer-height N
                     When printing with very low layer heights, you might still want to print a
                     thicker bottom layer to improve adhesion and tolerance for non perfect build
                     plates. (mm, default: 0.35)
 --gap-fill-enabled  Enables filling of gaps between perimeters and between the inner most perimeters
                     and infill.
 --interface-shells  Force the generation of solid shells between adjacent materials/volumes. Useful
                     for multi-extruder prints with translucent materials or manual soluble support
                     material.
 --layer-height N    This setting controls the height (and thus the total number) of the
                     slices/layers. Thinner layers give better accuracy but take more time to print.
                     (mm, default: 0.3)
 --overhangs         Experimental option to adjust flow for overhangs (bridge flow will be used), to
                     apply bridge speed to them and enable fan.
 --perimeter-generator
                     Classic perimeter generator produces perimeters with constant extrusion width
                     and for very thin areas is used gap-fill. Arachne engine produces perimeters
                     with variable extrusion width. This setting also affects the Concentric infill.
                     (classic, arachne; default: arachne)
 --perimeters N      This option sets the number of perimeters to generate for each layer. Note that
                     Slic3r may increase this number automatically when it detects sloping surfaces
                     which benefit from a higher number of perimeters if the Extra Perimeters option
                     is enabled. ((minimum), default: 3)
 --seam-position     Position of perimeters starting points. (random, nearest, aligned, rear;
                     default: aligned)
 --thick-bridges     If enabled, bridges are more reliable, can bridge longer distances, but may look
                     worse. If disabled, bridges look better but are reliable just for shorter
                     bridged distances.
 --thin-walls        Detect single-width walls (parts where two extrusions don't fit and we need to
                     collapse them into a single trace).
 --top-solid-layers N
                     Number of solid layers to generate on top surfaces. (default: 3)
 --top-solid-min-thickness N
                     The number of top solid layers is increased above top_solid_layers if necessary
                     to satisfy minimum thickness of top shell. This is useful to prevent pillowing
                     effect when printing with variable layer height. (mm, default: 0)
Machine limits:
 --machine-limits-usage
                     How to apply the Machine Limits (emit_to_gcode, time_estimate_only, ignore;
                     default: time_estimate_only)
 --machine-max-acceleration-e N
                     Maximum acceleration of the E axis (mm/s², default: 10000,5000)
 --machine-max-acceleration-extruding N
                     Maximum acceleration when extruding (M204 P) Marlin (legacy) firmware flavor
                     will use this also as travel acceleration (M204 T). (mm/s², default: 1500,1250)
 --machine-max-acceleration-retracting N
                     Maximum acceleration when retracting (M204 R) (mm/s², default: 1500,1250)
 --machine-max-acceleration-travel N
                     Maximum acceleration for travel moves (M204 T) (mm/s², default: 1500,1250)
 --machine-max-acceleration-x N
                     Maximum acceleration of the X axis (mm/s², default: 9000,1000)
 --machine-max-acceleration-y N
                     Maximum acceleration of the Y axis (mm/s², default: 9000,1000)
 --machine-max-acceleration-z N
                     Maximum acceleration of the Z axis (mm/s², default: 500,200)
 --machine-max-feedrate-e N
                     Maximum feedrate of the E axis (mm/s, default: 120,120)
 --machine-max-feedrate-x N
                     Maximum feedrate of the X axis (mm/s, default: 500,200)
 --machine-max-feedrate-y N
                     Maximum feedrate of the Y axis (mm/s, default: 500,200)
 --machine-max-feedrate-z N
                     Maximum feedrate of the Z axis (mm/s, default: 12,12)
 --machine-max-jerk-e N
                     Maximum jerk of the E axis (mm/s, default: 2.5,2.5)
 --machine-max-jerk-x N
                     Maximum jerk of the X axis (mm/s, default: 10,10)
 --machine-max-jerk-y N
                     Maximum jerk of the Y axis (mm/s, default: 10,10)
 --machine-max-jerk-z N
                     Maximum jerk of the Z axis (mm/s, default: 0.2,0.4)
 --machine-min-extruding-rate N
                     Minimum feedrate when extruding (M205 S) (mm/s, default: 0,0)
 --machine-min-travel-rate N
                     Minimum travel feedrate (M205 T) (mm/s, default: 0,0)
Skirt and brim:
 --brim-separation N Offset of brim from the printed object. The offset is applied after the elephant
                     foot compensation. (mm, default: 0)
 --brim-type         The places where the brim will be printed around each object on the first layer.
                     (no_brim, outer_only, inner_only, outer_and_inner; default: outer_only)
 --brim-width N      The horizontal width of the brim that will be printed around each object on the
                     first layer. When raft is used, no brim is generated (use
                     raft_first_layer_expansion). (mm, default: 0)
Speed:
 --bridge-speed N    Speed for printing bridges. (mm/s, default: 60)
 --external-perimeter-speed N
                     This separate setting will affect the speed of external perimeters (the visible
                     ones). If expressed as percentage (for example: 80%) it will be calculated on
                     the perimeters speed setting above. Set to zero for auto. (mm/s or %, default:
                     50%)
 --gap-fill-speed N  Speed for filling small gaps using short zigzag moves. Keep this reasonably low
                     to avoid too much shaking and resonance issues. Set zero to disable gaps
                     filling. (mm/s, default: 20)
 --infill-speed N    Speed for printing the internal fill. Set to zero for auto. (mm/s, default: 80)
 --ironing-speed N   Ironing (mm/s, default: 15)
 --perimeter-speed N Speed for perimeters (contours, aka vertical shells). Set to zero for auto.
                     (mm/s, default: 60)
 --small-perimeter-speed N
                     This separate setting will affect the speed of perimeters having radius <= 6.5mm
                     (usually holes). If expressed as percentage (for example: 80%) it will be
                     calculated on the perimeters speed setting above. Set to zero for auto. (mm/s or
                     %, default: 15)
 --solid-infill-speed N
                     Speed for printing solid regions (top/bottom/internal horizontal shells). This
                     can be expressed as a percentage (for example: 80%) over the default infill
                     speed above. Set to zero for auto. (mm/s or %, default: 20)
 --top-solid-infill-speed N
                     Speed for printing top solid layers (it only applies to the uppermost external
                     layers and not to their internal solid layers). You may want to slow down this
                     to get a nicer surface finish. This can be expressed as a percentage (for
                     example: 80%) over the solid infill speed above. Set to zero for auto. (mm/s or
                     %, default: 15)
Support material:
 --dont-support-bridges
                     Experimental option for preventing support material from being generated under
                     bridged areas.
 --raft-contact-distance N
                     The vertical distance between object and raft. Ignored for soluble interface.
                     (mm, default: 0.1)
 --raft-expansion N  Expansion of the raft in XY plane for better stability. (mm, default: 1.5)
 --raft-first-layer-density
                     Density of the first raft or support layer. (%, default: 90%)
 --raft-first-layer-expansion N
                     Expansion of the first raft or support layer to improve adhesion to print bed.
                     (mm, default: 3)
 --raft-layers N     The object will be raised by this number of layers, and support material will be
                     generated under it. (layers, default: 0)
 --support-material  Enable support material generation.
 --support-material-angle N
                     Use this setting to rotate the support material pattern on the horizontal plane.
                     (°, default: 0)
 --support-material-auto
                     If checked, supports will be generated automatically based on the overhang
                     threshold value. If unchecked, supports will be generated inside the "Support
                     Enforcer" volumes only.
 --support-material-bottom-contact-distance N
                     The vertical distance between the object top surface and the support material
                     interface. If set to zero, support_material_contact_distance will be used for
                     both top and bottom contact Z distances. (mm, default: 0)
 --support-material-bottom-interface-layers N
                     Number of interface layers to insert between the object(s) and support material.
                     Set to -1 to use support_material_interface_layers (layers, default: -1)
 --support-material-buildplate-only
                     Only create support if it lies on a build plate. Don't create support on a
                     print.
 --support-material-closing-radius N
                     For snug supports, the support regions will be merged using morphological
                     closing operation. Gaps smaller than the closing radius will be filled in. (mm,
                     default: 2)
 --support-material-contact-distance N
                     The vertical distance between object and support material interface. Setting
                     this to 0 will also prevent Slic3r from using bridge flow and speed for the
                     first object layer. (mm, default: 0.2)
 --support-material-enforce-layers N
                     Generate support material for the specified number of layers counting from
                     bottom, regardless of whether normal support material is enabled or not and
                     regardless of any angle threshold. This is useful for getting more adhesion of
                     objects having a very thin or poor footprint on the build plate. (layers,
                     default: 0)
 --support-material-interface-contact-loops
                     Cover the top contact layer of the supports with loops. Disabled by default.
 --support-material-interface-layers N
                     Number of interface layers to insert between the object(s) and support material.
                     (layers, default: 3)
 --support-material-interface-pattern
                     Pattern used to generate support material interface. Default pattern for
                     non-soluble support interface is Rectilinear, while default pattern for soluble
                     support interface is Concentric. (auto, rectilinear, concentric; default:
                     rectilinear)
 --support-material-interface-spacing N
                     Spacing between interface lines. Set zero to get a solid interface. (mm,
                     default: 0)
 --support-material-interface-speed N
                     Speed for printing support material interface layers. If expressed as percentage
                     (for example 50%) it will be calculated over support material speed. (mm/s or %,
                     default: 100%)
 --support-material-pattern
                     Pattern used to generate support material. (rectilinear, rectilinear-grid,
                     honeycomb; default: rectilinear)
 --support-material-spacing N
                     Spacing between support material lines. (mm, default: 2.5)
 --support-material-speed N
                     Speed for printing support material. (mm/s, default: 60)
 --support-material-style
                     Style and shape of the support towers. Projecting the supports into a regular
                     grid will create more stable supports, while snug support towers will save
                     material and reduce object scarring. (grid, snug; default: grid)
 --support-material-synchronize-layers
                     Synchronize support layers with the object print layers. This is useful with
                     multi-material printers, where the extruder switch is expensive.
 --support-material-threshold N
                     Support material will not be generated for overhangs whose slope angle (90° =
                     vertical) is above the given threshold. In other words, this value represent the
                     most horizontal slope (measured from the horizontal plane) that you can print
                     without support material. Set to zero for automatic detection (recommended).
                     (°, default: 0)
 --support-material-with-sheath
                     Add a sheath (a single perimeter line) around the base support. This makes the
                     support more reliable, but also more difficult to remove.
 --support-material-xy-spacing N
                     XY separation between an object and its support. If expressed as percentage (for
                     example 50%), it will be calculated over external perimeter width. (mm or %,
                     default: 50%)
Wipe options:
 --wipe-into-infill  Purging after toolchange will be done inside this object's infills. This lowers
                     the amount of waste but may result in longer print time due to additional travel
                     moves.
 --wipe-into-objects Object will be used to purge the nozzle after a toolchange to save material that
                     would otherwise end up in the wipe tower and decrease print time. Colours of the
                     objects will be mixed as a result.